{
  "type" : "record",
  "name" : "VariantCall",
  "namespace" : "org.gel.models.report.avro",
  "doc" : "This is intended to hold the genotypes for the family members. This assumes that varinats have been split before.\n    In principle it is a phased zygosity as in VCF spec and called by the analysis provider if further phasing is conducted",
  "fields" : [ {
    "name" : "participantId",
    "type" : "string",
    "doc" : "Participant id"
  }, {
    "name" : "sampleId",
    "type" : "string",
    "doc" : "Sample Id"
  }, {
    "name" : "zygosity",
    "type" : {
      "type" : "enum",
      "name" : "Zygosity",
      "doc" : "It is a representation of the zygosity\n\n* `reference_homozygous`: 0/0, 0|0\n* `heterozygous`: 0/1, 1/0, 1|0, 0|1\n* `alternate_homozygous`: 1/1, 1|1\n* `missing`: ./., .|.\n* `half_missing_reference`: ./0, 0/., 0|., .|0\n* `half_missing_alternate`: ./1, 1/., 1|., .|1\n* `alternate_hemizigous`: 1\n* `reference_hemizigous`: 0\n* `unk`: Anything unexpected",
      "symbols" : [ "reference_homozygous", "heterozygous", "alternate_homozygous", "missing", "half_missing_reference", "half_missing_alternate", "alternate_hemizigous", "reference_hemizigous", "unk", "na" ]
    },
    "doc" : "Zygosity. For somatic variants, or variants without zygosity use `na`"
  }, {
    "name" : "phaseGenotype",
    "type" : [ "null", {
      "type" : "record",
      "name" : "PhaseGenotype",
      "fields" : [ {
        "name" : "sortedAlleles",
        "type" : {
          "type" : "array",
          "items" : "string"
        }
      }, {
        "name" : "phaseSet",
        "type" : "int"
      } ]
    } ],
    "doc" : "phase alleles for those in phase"
  }, {
    "name" : "sampleVariantAlleleFrequency",
    "type" : [ "null", "double" ],
    "doc" : "Sample Variant Allele Frequency"
  }, {
    "name" : "depthReference",
    "type" : [ "null", "int" ],
    "doc" : "Depth for Reference Allele"
  }, {
    "name" : "depthAlternate",
    "type" : [ "null", "int" ],
    "doc" : "Depth for Alternate Allele"
  }, {
    "name" : "numberOfCopies",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "NumberOfCopies",
        "fields" : [ {
          "name" : "numberOfCopies",
          "type" : "int",
          "doc" : "Number of copies given by the caller in one of the allele"
        }, {
          "name" : "confidenceIntervalMaximum",
          "type" : [ "null", "int" ]
        }, {
          "name" : "confidenceIntervalMinimum",
          "type" : [ "null", "int" ]
        } ]
      }
    } ],
    "doc" : "Alleles for copy number variation - add doc"
  }, {
    "name" : "alleleOrigins",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "enum",
        "name" : "AlleleOrigin",
        "doc" : "Variant origin.\n    * `SO_0001781`: de novo variant. http://purl.obolibrary.org/obo/SO_0001781\n    * `SO_0001778`: germline variant. http://purl.obolibrary.org/obo/SO_0001778\n    * `SO_0001775`: maternal variant. http://purl.obolibrary.org/obo/SO_0001775\n    * `SO_0001776`: paternal variant. http://purl.obolibrary.org/obo/SO_0001776\n    * `SO_0001779`: pedigree specific variant. http://purl.obolibrary.org/obo/SO_0001779\n    * `SO_0001780`: population specific variant. http://purl.obolibrary.org/obo/SO_0001780\n    * `SO_0001777`: somatic variant. http://purl.obolibrary.org/obo/SO_0001777",
        "symbols" : [ "de_novo_variant", "germline_variant", "maternal_variant", "paternal_variant", "pedigree_specific_variant", "population_specific_variant", "somatic_variant" ]
      }
    } ],
    "doc" : "Describe whether this is a somatic or Germline variant"
  }, {
    "name" : "supportingReadTypes",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "enum",
        "name" : "SupportingReadType",
        "symbols" : [ "spanning", "flanking", "inrepeat" ]
      }
    } ]
  } ]
}
